Buildroot: %{_builddir}/%{name}-root
Name: unicore-nagios-plugins
Version: 2.3.2
Release: 0.sl6
Summary: A set of scripts for UNICORE Grid middleware services monitoring
License: see LICENCE.ICM
Distribution: RedHat
Group: Applications/System
URL: http://sourceforge.net/projects/unicore-life/
Requires: perl-Error, perl-Sort-Versions, perl-XML-RSS, unicore-ucc6 = 6.0.0, unicore-uvos-clc >= 1.7.0, poppler-utils
Conflicts: UMI2Probes, UMI-Probes, unicore-monitoring-probes
BuildArch: noarch
Packager: Mariusz Strzelecki <szczeles@mat.umk.pl>
BuildRequires: subversion  
BuildRequires: ant  
BuildRequires: ant-apache-regexp  
Source0 : unicore-nagios-plugins-2.3.2-0.src.tar.gz
%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains a set of script that can be used to instant
monitor of UNICORE services. This research is founded by PL-Grid
project.
%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
sh packaging/packman.sh build-artifact prep.src.rpm 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_application/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_registry/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_sms/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_unicorex/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_workflow/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_cip/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_cis/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_freespace/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_gateway/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_servorch/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_uvos/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_versions/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_workflowservice/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_storagefactory/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_activemq/*.pl
%attr(0755, root, root) /usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/umi2/check_certificate/*.pl
%dir "/usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/"
"/usr/libexec/grid-monitoring/probes/pl.plgrid/UNICORE/*"
%dir "/etc/unicore/nagios-plugins/"
%config(noreplace) /etc/unicore/nagios-plugins/commands.cfg
%docdir /usr/share/doc/unicore/nagios-plugins
/usr/share/doc/unicore/nagios-plugins/*

%changelog
* Thu Dec 27 2012 Mariusz Strzelecki <szczeles@mat.umk.pl> 2.3.0-5.sl6
  - fixes in check workflow
  - fix in check_application
